package wechatrepo

import (
	"context"
	"github.com/wechatpay-apiv3/wechatpay-go/services/cashcoupons"
	"voucher/internal/biz/bo"
	"voucher/internal/biz/vo"
)

type WechatCpnRepo interface {
	Order(ctx context.Context, orderWechat *bo.OrderWechatBo) (couponId string, err error)
	Query(ctx context.Context, orderWechat *bo.OrderWechatBo) (vo.OrderWechatStatus, error)
	QueryProduct(ctx context.Context, stockCreatorMchId, stockId string) (*cashcoupons.Stock, error)
}
